* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    min-height: 100vh;
    background: linear-gradient(135deg, #0f0f0f, #1b1b1b);
    display: flex;
    justify-content: center;
    align-items: center;
}

.auth-container {
    width: 100%;
    max-width: 420px;
    padding: 20px;
}

.auth-card {
    background: #fff;
    border-radius: 18px;
    padding: 35px 30px;
    box-shadow: 0 20px 45px rgba(0,0,0,0.45);
    text-align: center;
}

.logo {
    width: 140px;
    margin-bottom: 15px;
    .logo {
    width: 150px;
    height: auto;
}

}

.auth-card h2 {
    font-weight: 700;
}

.auth-card p {
    font-size: 14px;
    color: #777;
    margin-bottom: 25px;
}

.input-group {
    position: relative;
    margin-bottom: 22px;
}

.input-group input {
    width: 100%;
    padding: 13px 12px;
    border-radius: 10px;
    border: 1px solid #ccc;
    outline: none;
    font-size: 14px;
}

.input-group label {
    position: absolute;
    top: 50%;
    left: 12px;
    transform: translateY(-50%);
    background: #fff;
    padding: 0 5px;
    font-size: 13px;
    color: #999;
    transition: 0.3s;
    pointer-events: none;
}

.input-group input:focus + label,
.input-group input:valid + label {
    top: -7px;
    font-size: 11px;
    color: #e10600;
}

.btn {
    width: 100%;
    padding: 13px;
    background: #e10600;
    border: none;
    border-radius: 10px;
    color: white;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.btn:hover {
    background: #b80500;
}

.switch {
    margin-top: 20px;
    font-size: 13px;
}

.switch a {
    color: #e10600;
    text-decoration: none;
    font-weight: 600;
}
